/*
 * Original Design Specifications
 * Target: > 1800px
 * Test Resolution: 1920 x 1080
 */
:root {
  --intranet-resource-library-list-margin: 2rem 0;
  --intranet-resource-library-list-item-height: 7rem;
  --intranet-resource-library-list-item-background-color-on-hover: var(
    --theme-color-white-half-transparent
  );
  --intranet-resource-library-list-item-icon-descriptor-dimensions: 3rem;
  --intranet-resource-library-list-item-icon-action-dimensions: 3rem;
  --intranet-resource-library-list-item-link-border-radius: 1.4rem;
  --intranet-resource-library-list-item-padding-x: 1.8rem;
  --intranet-resource-library-list-item-padding-gap: 1.8rem;
  --intranet-resource-library-list-item-font-size: 2.1rem;
  --intranet-resource-library-list-item-icon-action-display: none;
  --intranet-resource-library-list-item-icon-action-display-on-hover: block;
}

/*
 * 2XL Media Query (1536px)
 * Target: 1799px > 1536px
 * Test Resolution: 1536 x 864
 */
@media screen and (max-width: 1799px) {
  :root {
    --intranet-resource-library-list-item-height: 6rem;
    --intranet-resource-library-list-item-icon-descriptor-dimensions: 2.5rem;
    --intranet-resource-library-list-item-icon-action-dimensions: 2.5rem;
    --intranet-resource-library-list-item-font-size: 1.9rem;
  }
}

/*
 * XL Media Query (1280px)
 * Target: 1535px > 1280px
 * Test Resolution: 1280 x 720
 */
@media screen and (max-width: 1535px) {
  :root {
    --intranet-resource-library-list-item-link-border-radius: 1.2rem;
    --intranet-resource-library-list-item-icon-descriptor-dimensions: 2rem;
    --intranet-resource-library-list-item-icon-action-dimensions: 2rem;
    --intranet-resource-library-list-item-font-size: 1.6rem;
  }
}

/*
 * L Media Query (1024px)
 * Target: 1279px > 1024px
 * Test Resolution: 1024 x 768
 */
@media screen and (max-width: 1279px) {
  :root {
    --intranet-resource-library-list-margin: 0.75rem 0;
    --intranet-resource-library-list-item-padding-x: 0;
    --intranet-resource-library-list-item-font-size: 1.4rem;
    --intranet-resource-library-list-item-height: 4.5rem;
    --intranet-resource-library-list-item-icon-action-dimensions: 1.75rem;
    --intranet-resource-library-list-item-icon-action-display: block;
    --intranet-resource-library-list-item-background-color-on-hover: transparent;
  }
}

/*
 * S Media Query (640px)
 * Target: < 767px
 * Test Resolution: 390 x 844
 */
@media screen and (max-width: 767px) {
  :root {
    --intranet-resource-library-list-item-padding-x: 1rem;
  }
}

.page-intranet-resource-library-list {
  margin: var(--intranet-resource-library-list-margin);
}

.page-intranet-resource-library-list-item-link {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: var(--intranet-resource-library-list-item-height);
  border-radius: var(--intranet-resource-library-list-item-link-border-radius);
  font-size: var(--intranet-resource-library-list-item-font-size);
  padding: 0 var(--intranet-resource-library-list-item-padding-x);
}

.page-intranet-resource-library-list-item-link:hover {
  background-color: var(
    --intranet-resource-library-list-item-background-color-on-hover
  );
}

.page-intranet-resource-library-list-item-link-icon-and-text {
  display: flex;
  align-items: center;
  gap: var(--intranet-resource-library-list-item-padding-gap);
}

.page-intranet-resource-library-list-item-link-icon-descriptor {
  width: var(--intranet-resource-library-list-item-icon-descriptor-dimensions);
  height: var(--intranet-resource-library-list-item-icon-descriptor-dimensions);
}

.page-intranet-resource-library-list-item-link-icon-descriptor svg path {
  fill: var(--theme-color-primary-70);
}

.page-intranet-resource-library-list-item-link-icon-action {
  display: var(--intranet-resource-library-list-item-icon-action-display);
  width: var(--intranet-resource-library-list-item-icon-action-dimensions);
  height: var(--intranet-resource-library-list-item-icon-action-dimensions);
}

.page-intranet-resource-library-list-item-link:hover
  .page-intranet-resource-library-list-item-link-icon-action {
  display: var(
    --intranet-resource-library-list-item-icon-action-display-on-hover
  );
}

.page-intranet-resource-library-list-item-link-icon-action svg path {
  fill: var(--theme-color-orange);
}
